{ =========================================================================== }
{ Pull20-.pas - Turbo Pascal full featured pull-down menus. ver 2.0, 01-12-88 }
{                                                                             }
{ This file shows only the interface for pull-down menus and data entry       }
{ windows.                                                                    }
{ (c) 1987,1988 James H. LeMay                                                }
{ =========================================================================== }

UNIT Pull;

INTERFACE

uses
  CRT,Qwik,WndwVars,Wndw,PullVars;

procedure ReadKbd (VAR ExtKey: boolean; VAR Key: char);
procedure ShowMsg (MsgNum: byte);
procedure ShowTopMenu;
procedure ShowErrorMsg (ErrMsgNum: word);
function  TopKeyPressed:  boolean;
function  HelpKeyPressed: boolean;
procedure TurnArrows (Switch: Toggle);
procedure CheckForPullDown (MsgLineNum: byte);
procedure CheckForPop;
procedure PullHelpWndw (WndwNum: byte; Title: MaxString);
function  Popped: boolean;
procedure GotoKeyDispatcher;
procedure InitPull (Attrib: integer; ClearScr: boolean);

{ Data Entry interface }
procedure Transfer (VAR UserVariable);
procedure RestoreData (VAR UserVariable; ErrMsg: integer);
procedure WorkWndwEntry (Row,Col,Field: byte; VAR UserVariable;
                         TOD: TypeOfDataType; Justify: DirType;
                         HelpWndwNum: byte; HelpTitle: MaxString);

IMPLEMENTATION
