{ =========================================================================== }
{ PullDemo.pas - Full demonstration of pull-down menus.     ver 2.0, 01-12-87 }
{                                                                             }
{ (c) 1987,1988 James H. LeMay                                                }
{ =========================================================================== }

{$R-,S+,I+,D+,T-,F-,V-,B-,N-,L+ }
{$M 16384,10000,10000 }

program PullDemo;

uses
  CRT,Qwik,WndwVars,Wndw,PullVars,Pull,PullProc,PullWork;

procedure DisplayScreen;
begin
  Qwrite (1,1,lightgray,'PULLDEMO v2.0             Multi-level Pu'+
                        'll-down Menus        (c) 1988  J H LeMay');
  ShowTopMenu;
  SetWindowModes (PermMode);
  MakeWindow (3,1,CRTrows-3,CRTcols,white+BlueBG,lightgray+BlackBG,DoubleBrdr,
              Window1);
  SetWindowModes (0);
  with TopWndwStat do
    begin
      QwriteC ( 7,WScol,WScol2,-1,'PULL20.ARC - MULTI-LEVEL PULL-DOWN MENUS');
      QwriteC (11,WScol,WScol2,-1,'Use F1 everywhere for some descriptions.');
      QwriteC (12,WScol,WScol2,-1,'Use ''Quit'' to exit demo program.');
      QwriteC (13,WScol,WScol2,-1,'Be sure to try a CR at "" marked lines.');
      QwriteC (14,WScol,WScol2,-1,'Also try all the EnterData lines.');
      QwriteC (16,WScol,WScol2,yellow+BlueBG,'This is Work Window 1.');
      Qfill   (19,46,1,4,yellow+MagentaBG,' ');
      GotoRC  (WSrow+17,WScol+26)
    end
end;

{ *****************************    STEP 9   ********************************* }
{ It's all yours from here: }
begin
  GetDir (0,OrigPathName);
  PathName:=OrigPathName;
  InitPull (lightgray,false);       { <<-- Be sure you do this!! }
  DisplayScreen;
  WorkWndwStep:=0;            { Step number of where you want to start in the
                                Work window. }
  { Character set for DOS file names: }
  FileNameCharSet:= ['!'..')','-'..'9','@'..'~',BSKey,NullKey]
                    - ['"','/','['..']','|'];
  GotoKeyDispatcher;          { <<-- All keyboard entries go through here! }
  if OrigPathName<>PathName then
    begin
      {$I-} ChDir(OrigPathName); {$I+}
      if IOresult<>0 then OrigPathName:=PathName;
    end;
  Qfill (1,1,CRTrows,CRTcols,InitAttr,' ');
  GotoRC (CRTrows,1);
end.
