{ =========================================================================== }
{ Pulldir-.pas - Submenu pull-down directory.               ver 2.0, 01-12-87 }
{                                                                             }
{ This directory was designed with a heavy emphasis on end-user human factors.}
{ High speed retrieval, scrolling, non-flickering hilite, letter scanning,    }
{ single column and lower-case readability, right-justified extension,        }
{ pick list.  This file only contains the interface.                          }
{ (c) 1987, 1988 James H. LeMay                                               }
{ =========================================================================== }

{$R-,S-,I-,D-,T-,F-,V-,B-,N-,L+ }

UNIT PullDir;

INTERFACE

uses
  DOS,Qwik,WndwVars,Wndw,PullVars,Pull;

type
  FileNameStr = string[12];
  DirectoryMenuRec = record
    Title:                   string[9];
    LinkDir:                 DirType;
    MenuLines,
    Row,Col,Rows,Cols,
    HiLiteLine,
    Battr,Wattr,Hattr:       byte;
    Border:                  Borders;
    MsgLineNum, HelpWndwNum: byte
  end;

var
  DirectoryMenu: DirectoryMenuRec;

const
  FileMask:  FileNameStr = '*.*';

procedure PullDirectory (VAR NameToChange: FileNameStr;
                             NameToHiLite: FileNameStr);

IMPLEMENTATION
